Summary: Linux seccomp made easy
Name: sandbox
Version: 2020.08.06
Release: 1%{?dist}
License: Proprietary
Group: Applications

Packager: Luigi Iotti
Vendor: Luigi Iotti

# In realta' non hanno distribuito nessuna release, ho solo preso i files da github	https://github.com/cloudflare/sandbox
Source: %{name}-%{version}.zip
Patch1: sandbox_make.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libseccomp-static

%description
This package provides a simple way to enable basic seccomp system call filtering in any application (even proprietary one) via environment variables

%prep
%setup -n %{name}-master
%patch1 -p0

%build
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__install} -d -m 0755 %{buildroot}%{_bindir}
%{__install} -m 0755 sandboxify %{buildroot}%{_bindir}/
%{__install} -d -m 0755 %{buildroot}/%{_libdir}
%{__install} -m 0755 libsandbox.so %{buildroot}%{_libdir}/

%clean
%{__rm} -rf %{buildroot}

%files
%doc LICENSE README.md
%defattr(0755 root, root, 0755)
%attr(0755,root,root) %{_bindir}/sandboxify
%attr(0755,root,root) %{_libdir}/libsandbox.so

%changelog
